package videostore;
import java.util.*;

// 10.0
public class Cliente {
    private String _nome;
    private List _noleggi = new ArrayList();

    public Cliente (String nome) {
	_nome = nome;
    }

    public void addNoleggio(Noleggio arg) {
	_noleggi.add(arg);
    }
    
    public String getNome(){
	return _nome;
    }

    public String rendiconto() {
	Iterator noleggi = _noleggi.iterator();
	String r = "Rendiconto noleggi per " + getNome() + "\n";
	while (noleggi.hasNext()) {
	    Noleggio ognuno = (Noleggio) noleggi.next();
	    
	    // aggiungi al risultato
	    r += "\t" + ognuno.getFilm().getTitolo() + "\t" + 
		 String.valueOf(ognuno.getAmmontare()) + "\n";
	} // while

	// aggiungi pie' di pagina
	r += "L'ammontare dovuto e' " + String.valueOf(getAmmontareTotale()) + "\n";
	r += "Hai guadagnato " + String.valueOf(getPuntiNoleggiFrequenti()) + 
	     " punti per noleggi frequenti\n";
	return r;
    }
    public String rendicontoHtml() {
	Iterator noleggi = _noleggi.iterator();
	String r = "<h1>Rendiconto noleggi per <strong>" + 
	           getNome() + "</em></h1>\n<p>";
	while (noleggi.hasNext()) {
	    Noleggio ognuno = (Noleggio) noleggi.next();
	    
	    // aggiungi al risultato
	    r += "\t" + ognuno.getFilm().getTitolo() + "\t" + 
		 String.valueOf(ognuno.getAmmontare()) + "<br />\n";
	} // while

	// aggiungi pie' di pagina
	r += "<p>L'ammontare dovuto e' <strong>" + 
	     String.valueOf(getAmmontareTotale()) + "</strong></p>\n";
	r += "<p>Hai guadagnato <strong" + 
	     String.valueOf(getPuntiNoleggiFrequenti()) + 
	     "</strong> punti per noleggi frequenti</p>\n";
	return r;
    }

    private double getAmmontareTotale() {
	double result = 0;
	Iterator noleggi = _noleggi.iterator();
	while (noleggi.hasNext()) {
	    Noleggio ognuno = (Noleggio) noleggi.next();
	    result += ognuno.getAmmontare();
	}
	return result;
    }

    private int getPuntiNoleggiFrequenti() {
	int result = 0;
	Iterator noleggi = _noleggi.iterator();
	while (noleggi.hasNext()) {
	    Noleggio ognuno = (Noleggio) noleggi.next();
	    result += ognuno.getIncrementoNoleggiFrequenti();
	}
	return result;
    }
}
