package videostore;

// 10.2
public class Film {
    public static final int BAMBINI = 2;
    public static final int REGOLARE = 0;
    public static final int NOVITA = 1;
    
    private String _titolo;
    private int _codicePrezzo;
    private Prezzo _prezzo;

    public Film(String titolo, int codicePrezzo) {
	_titolo = titolo;
	setCodicePrezzo(codicePrezzo);
    }

    public int getCodicePrezzo() {
	return _prezzo.getCodicePrezzo();
    }

    public void setCodicePrezzo(int arg) {
	switch (arg) {
	case REGOLARE:
	    _prezzo = new PrezzoRegolare();
	    break;
	case BAMBINI:
	    _prezzo = new PrezzoBambini();
	    break;
	case NOVITA:
	    _prezzo = new PrezzoNovita();
	    break;
	default:
	    throw new IllegalArgumentException("Codice prezzo scorretto");
	}
    }

    public String getTitolo() {
	return _titolo;
    }

    public double getAmmontare(int giorniNoleggio) {
	double risultato = 0;
	// ammontare per ogni noleggio
	switch (getCodicePrezzo()) {
	case Film.REGOLARE:
	    risultato += 2;
	    if (giorniNoleggio > 2)
		risultato += (giorniNoleggio - 2) * 1.5;
	    break;
	case Film.NOVITA:
	    risultato += giorniNoleggio * 3;
	    break;
	case Film.BAMBINI:
	    risultato += 1.5;
	    if (giorniNoleggio > 3)
		risultato += (giorniNoleggio - 3) * 1.5;
	    break;
	}
	return risultato;
    }

    public int getPunteggioNoleggiFrequenti(int giorniNoleggio) {
	if ((getCodicePrezzo() == Film.NOVITA) &&
	    giorniNoleggio > 1)
	    return 2;
	else
	    return 1;
    }

}
